EVM and SVM onchain data endpoints, plus API documentation and monitoring.
    Read-only preview
    You're browsing the public OpenAPI spec. Sign in to send live requests with your team's API key.
    SVM DEXs

    Liquidity Pools

    Returns Solana DEX pool metadata including tokens, fees, protocol, and transaction counts.
    GET
    https://api.pinax.network/v1/svm/pools
    Requires bearer token — sign in to inject your team’s key.

    Supported networks (1)

    SolanaSolana

    Required parameters

    NameTypeDescription
    networkrequired
    query
    Enum · 1The Graph Network ID for SVM networks https://thegraph.com/networks
    solana
    e.g. solana

    Optional parameters

    NameTypeDescription
    amm
    query
    string · svm-addressFilter by AMM address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 675kPX9MHTjS2zt1qfr1NYHuzeLXfQM9H24wFSUt1Mp8
    amm_pool
    query
    string · svm-addressFilter by AMM pool address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g.
    mint
    query
    MintFilter by mint address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. So11111111111111111111111111111111111111112
    program_id
    query
    ProgramFilter by program ID
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. JUP6LkbZbjS1jKKwapdHNy74zcZ3tLUZoi5QNyVTaV4
    protocol
    query
    Enum · 18Protocol name
    pumpfunpumpfun_ammraydium_amm_v4raydium_clmmraydium_cpmmraydium_launchpadmeteora_daammeteora_dlmmmeteora_ammorca_whirlpoolboopbyrealdarklakedumpfunmoonshotpancakeswapspl_token_swapokx_dex
    e.g. raydium_amm_v4
    limit
    query
    integerNumber of items* returned in a single request.
    *Plan restricted.
    page
    query
    integerPage number to fetch.
    Empty data array signifies end of results.

    Response

    200 OK
    {
      "data": [
        {
          "program_id": "675kPX9MHTjS2zt1qfr1NYHuzeLXfQM9H24wFSUt1Mp8",
          "program_name": "Raydium Liquidity Pool V4",
          "protocol": "raydium_amm_v4",
          "amm": "675kPX9MHTjS2zt1qfr1NYHuzeLXfQM9H24wFSUt1Mp8",
          "amm_name": "Raydium Liquidity Pool V4",
          "amm_pool": "Dqb7bL7MZkuDgHrZZphRMRViJnepHxf9odx3RRwmifur",
          "input_mint": "9bJKq2eLbLFKbcD9zYBNTrQ5Pua7hXMeivu7Fk3iWWoQ",
          "input_decimals": 6,
          "output_mint": "Fm34vVNQYoEkenNjCeM8MVP8mBV5EGLwA86WFHwyMcz4",
          "output_decimals": 9,
          "transactions": 43062555,
          "network": "solana"
        }
      ]
    }